function TaxyProMainO( fname )
% has to be adapted if Taxy data files are not in default toolbox path

if ~exist(fname)
    error(['Could not find file: ' fname]);
end

TaxyPath = fileparts(which('TaxyProMainO'));
dataPath = [TaxyPath filesep 'data' filesep];
load([dataPath 'TaxyPro.mat']);

XprobMat = PfamMat ./ repmat(sum(PfamMat), size(PfamMat,1), 1);

nPfams = size(PfamMat,1);


[filePath, fileName] = fileparts(fname);
savePath = [filePath filesep fileName '_Taxy'];
mkdir(savePath);
if ~exist(savePath)
    error(['Could not create/overwrite result directory ' savePath]);
end


% test metagenome profile (counts) that should be analyzed
WcountVec = comet2profile(fname,nPfams);

tic;
[WeightsEM,fdu] = TaxyProWeights2(WcountVec, XprobMat);
fdu
nTime = toc


%%%%Taxonomic Classification
UsedTaxaIndex=find(WeightsEM);
[ CalcTaxStruct ] = calctaxdis( WeightsEM, Keggstruct, UsedTaxaIndex );
writeoutput( UsedTaxaIndex ,CalcTaxStruct, Keggstruct, savePath, filesep, fileName );


nPfam=sum(WcountVec);
nSig=size(Keggstruct,2);

writestatus( fdu, nPfam, nSig, nTime, savePath, filesep);
return;
